user  web;
worker_processes  auto;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;
    sendfile      on;

    # React 前端服务
    server {
        listen 8080;
        server_name web.argus.com;

        root /usr/share/nginx/html;
        index index.html;

        # React 前端路由兼容
        location / {
            try_files $uri /index.html;
        }
    }


}
